<html devsite><head>
    <title>Android 社区</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>欢迎加入 Android 社区！</p>

<p>任何社区取得成功的关键都是良好的沟通。和大多数项目一样，Android 项目也是通过邮件列表/论坛进行沟通。由于 Android 是一个非常大的项目，包含很多组件，因此我们开设了许多论坛，而且每个论坛所侧重的主题都各不相同。您可以查看我们开设的<a href="#open-source-project-discussions">网上论坛</a>，并可以加入任何您感兴趣的论坛。您还可以在 <a href="#android-on-irc">IRC</a> 上讨论 Android。</p>

<p>如果您需要 Android 界面或 Android 设备方面的帮助，想要详细了解 Android 更新或安全问题，或想要了解如何打造适用于 Android 平台的应用，请参阅下文中列出的<a href="#resources">资源</a>。</p>

<h2 id="resources">资源</h2>

<p>本网站介绍了如何构建自定义 Android 堆栈、如何为设备和配件移植 Android，以及如何满足兼容性要求。Android 操作系统是一个包含众多文件的 Git 代码库，而不是可供下载的单个文件（.zip、.tar、.exe 等）。您可以按照<a href="build/downloading.html">下载源代码</a>页面中的说明着手进行 Android 源代码工作。如需 Android 的其他相关信息，请参阅以下资源。</p>

<table class="columns">

<tbody><tr><td>
<h4>使用 Android</h4>

<h5>帮助中心</h5>
<a href="https://support.google.com/android/">概述</a><br />
<a href="https://support.google.com/pixelphone/">Pixel 手机</a><br />
<a href="https://support.google.com/nexus/">Nexus 手机/平板电脑</a><br />
<a href="https://support.google.com/playedition">Google Play 版设备</a><br />
<a href="https://support.google.com/androidauto/">Android Auto</a><br />
<a href="https://support.google.com/androidtv/">Android TV</a><br />
<a href="https://support.google.com/androidwear/">Android Wear</a><br />
<a href="https://support.google.com/android/answer/3123680">应用</a>
<p></p>

<h5>社区</h5>
<a href="#open-source-project-discussions">AOSP 社区</a><br />
<a href="http://developer.android.com/support.html">开发者社区</a>
<p></p>

<h5>发送反馈</h5>
<a href="contribute/report-bugs.html">报告 AOSP 错误</a><br />
<p></p>

</td>
<td>

<h4>更新和安全</h4>

<h5>Android 版本</h5>
<a href="https://www.android.com/history/#/marshmallow">Android 发展历程</a><br />
<a href="https://www.android.com/versions/nougat-7-0/">当前版本</a>
<p></p>

<h5>设备映像</h5>
<a href="https://developers.google.com/android/images">Nexus 和 Pixel 设备</a><br />
<a href="https://support.google.com/android/answer/3094742">其他设备</a>
<p></p>

<h5>安全方面的帮助</h5>
<a href="https://www.google.com/safetycenter/everyone/start/">Google 安全中心</a><br />
<a href="https://support.google.com/android/answer/6215472">面向用户的提示</a><br />
<a href="http://developer.android.com/training/articles/security-tips.html">面向开发者的提示</a><br />
<a href="/security/index.html">平台安全</a>
<p></p>

<h5>安全公告</h5>
<a href="/security/enhancements/index.html">版本增强功能</a><br />
<a href="/security/bulletin/index.html">公告</a>
<p></p>

</td>
<td>

<h4>参与其中</h4>

<h5>开发者资源</h5>
<a href="http://developer.android.com/">Developer.android.com</a><br />
<a href="http://developer.android.com/support.html">开发者支持</a><br />
<a href="https://developers.google.com/groups/">Google Developer Groups (GDG)</a><br />
<a href="https://www.android.com/gms/">Google 移动服务 (GMS)</a>
<p></p>

<h5>博客</h5>
<a href="https://blog.google/products/android/">Android 官方博客</a><br />
<a href="https://android-developers.googleblog.com/">Android 开发者博客</a><br />
<a href="https://security.googleblog.com/">Google 安全博客</a>
<p></p>

<h5>培训</h5>
<a href="https://developer.android.com/training/index.html">Google</a><br />
<a href="https://www.udacity.com/google">Udacity</a>

</td></tr><tr>
</tr></tbody></table>

<h2 id="open-source-project-discussions">开源项目论坛</h2>
<ul>
<li>
<p>android-platform：此论坛用于围绕 Android 开源项目或平台技术进行一般讨论。<em></em></p>
<ul>
<li>通过 Google 网上论坛订阅：<a href="https://groups.google.com/forum/?fromgroups#!forum/android-platform">android-platform</a></li>
<li>通过电子邮件订阅：<a href="mailto:android-platform+subscribe@googlegroups.com">android-platform</a>
</li>
</ul>
</li>
<li>
<p>android-building：订阅此论坛后，您可以参与 Android 源代码编译以及 Android 编译系统方面的讨论，并提供或获取相关帮助。<em></em>如果您刚刚校验了源代码，并对如何将其转换为二进制文件有疑问，那就从这里开始吧！</p>
<ul>
<li>通过 Google 网上论坛订阅：<a href="https://groups.google.com/forum/?fromgroups#!forum/android-building">android-building</a></li>
<li>通过电子邮件订阅：<a href="mailto:android-building+subscribe@googlegroups.com">android-building</a>
</li>
</ul>
</li>
<li>
<p><em></em>android-porting：此论坛适合希望将 Android 移植到新设备的开发者。如果您想知道如何将 Android 源代码与硬件结合起来，该论坛非常适合您。您可以在此处讨论将 Android 移植到各种设备的细节，例如获取工具链、合并内核驱动程序、根据您的具体配置来设置或修改应用，等等。</p>
<ul>
<li>通过 Google 网上论坛订阅：<a href="https://groups.google.com/forum/?fromgroups#!forum/android-porting">android-porting</a></li>
<li>通过电子邮件订阅：<a href="mailto:android-porting+subscribe@googlegroups.com">android-porting</a>
</li>
</ul>
</li>
<li>
<p>android-contrib：此论坛适合想要为 Android 贡献代码的开发者。<em></em>这是一个工作论坛，不适合进行一般讨论。要进行一般讨论，请使用 android-platform（有关为 Android 内核做贡献方面的讨论，请使用 android-kernel）。</p>
<ul>
<li>通过 Google 网上论坛订阅：<a href="https://groups.google.com/forum/?fromgroups#!forum/android-contrib">android-contrib</a></li>
<li>通过电子邮件订阅：<a href="mailto:android-contrib+subscribe@googlegroups.com">android-contrib</a>
</li>
</ul>
</li>
<li>
<p>android-kernel：此论坛适合想要为 Android 设备使用的 Linux 内核做贡献的开发者。<em></em>如果您已下载内核代码，知道如何对其进行编译，并希望编写内核代码来支持 Android，这里非常适合您。此论坛不适合讨论用户空间方面的主题（请使用 android-platform）；如果您在这里询问用户空间方面的问题，其他人将会制止您，让您不要再“捣乱”。<em></em></p>
<ul>
<li>通过 Google 网上论坛订阅：<a href="https://groups.google.com/forum/?fromgroups#!forum/android-kernel">android-kernel</a></li>
<li>通过电子邮件订阅：<a href="mailto:android-kernel+subscribe@googlegroups.com">android-kernel</a>
</li>
</ul>
</li><li>
<p>android-ota：此论坛适合研究 Android OTA 系统（生成 OTA 的恢复映像和脚本）的开发者。<em></em></p>
<ul>
<li>通过 Google 网上论坛订阅：<a href="https://groups.google.com/forum/?fromgroups#!forum/android-ota">android-ota</a></li>
<li>通过电子邮件订阅：<a href="mailto:android-ota+subscribe@googlegroups.com">android-ota</a></li>
</ul>
</li>
<li>
<p><em></em>android-compatibility：如果您有关于 Android 兼容性的技术问题，但本网站未提供解答，则您可以向此名单上的同行寻求帮助。</p>
<ul>
<li>通过 Google 网上论坛订阅：<a href="https://groups.google.com/forum/?fromgroups#!forum/android-compatibility">android-compatibility</a></li>
<li>通过电子邮件订阅：<a href="mailto:android-compatibility+subscribe@googlegroups.com">android-compatibility</a></li>
</ul>
</li>
</ul>

<h3 id="audience">目标群体</h3>
<p>这些论坛适合使用 Android 平台的开发者。我们欢迎每个人加入论坛，但前提是要遵守下述社区政策。我们的用户会互相帮助，包括“开放手机联盟”(Open Handset Alliance) 成员在内的很多专家也会在这些论坛中发帖。</p>
<p>只要主题在某种程度上与 Android 相关，我们都不会加以限制。不过，由于这些论坛非常繁忙，因此在发帖提问之前请先在归档内容中搜索一下，您也许会发现自己的问题已经有人解答过了。</p>

<h3 id="getting-the-most-from-our-lists">充分利用我们的论坛</h3>
<p>在我们的论坛中发帖之前，请注意以下事项：</p>
<ul>
<li>
<p><em>阅读<a href="#mailing">我们的论坛章程</a>。</em> 该章程阐述了我们社区为数不多的规则和指南。</p>
</li>
<li>
<p><em>在论坛归档内容中搜索一下，看看您的问题是不是已经讨论过了。</em> 这有助于避免耗时的重复讨论。</p>
</li>
<li>
<p><em>使用明确、相关的内容主题。</em> 这对每个人都会有所帮助，包括那些尝试回答您问题的人，以及可能在日后查找相关信息的人。</p>
</li>
<li>
<p><em>在您的帖子中提供充足的详细信息。</em> 提供代码或日志片段、屏幕截图标注以及类似的详细信息有助于获得更理想的结果，并能促成更有效的讨论。如需在提问时如何措辞方面的实用指导，请参阅<a href="http://www.catb.org/%7Eesr/faqs/smart-questions.html">提问的智慧</a>。</p>
</li>
</ul>

<h3 id="mailing">论坛规则</h3>
<p>我们喜欢简单，讨厌各种限制，因此我们的政策极其简要。以下规则说明了我们对 Android 论坛订阅者的要求。

</p><ul>
<li>请保持友善的态度：对他人保持礼貌和尊重是 Android 文化的重要组成部分，我们希望参与 Android 社区的每个人都和我们一样毫无保留地接受这一点。<em></em>保持礼貌并不意味着我们彼此之间不能以具有建设性的方式表达异议，但我们在表达异议时必须要有礼貌。无论出于任何原因，都不能敌视或轻视任何人；如果您认为自己有这种情绪，那么在发帖之前请三思。移动开发是一项非常严肃的业务，但也有很多乐趣。让我们保持这种状态，努力打造最友善的开放源代码社区之一。
</li>
<li>允许讨论的主题：我们的大多数论坛都用于讨论与 Android 相关的技术话题或方便用户互相帮助。<em></em>一般情况下，我们不会对在论坛中讨论的主题进行严格限制：只要主题在某种程度上与 Android 相关，都可以在我们的论坛中进行讨论。我们欢迎大家公布和讨论与 Android 相关的产品、库、出版物和其他有趣的新闻，但请不要同时在多个论坛中发帖。请仅在与您的内容最相关的论坛中发帖。我们甚至欢迎讨论批判 Android 的文章和想法（但请保持礼貌！）- 毕竟，如果我们不听取意见，就无法改进。
</li>
<li>工作论坛：我们的某些论坛被视为“工作论坛”（旨在为完成特定任务提供支持）。<em></em>在这些论坛中，我们不欢迎与主题无关的讨论。如果您要进行一般讨论，我们通常会要求您使用其他论坛。由于人们会利用这些论坛来完成相关工作，因此我们会采取积极的举措来减少无关的内容。我们希望您能够尊重贡献者们的宝贵时间，并使用适当的论坛进行一般讨论。
</li>
<li>垃圾内容：我们非常讨厌垃圾内容，这种心情正如我们崇尚礼貌和尊重一样强烈，因此我们保留限制垃圾讨论内容的权利。<em></em>如果有人发布纯属垃圾的内容，我们会立即并永久禁止发布者使用相应论坛。
</li>
</ul>
<p>友善是最重要的规则。请谨记：在任何情况下，我们的社区都不欢迎不尊重他人和粗鲁的行为。我们没有制定正式的政策来对付捣乱者，也希望永远都不需要制定这样的政策。不过，我们承诺会尽最大努力保证公平，并且始终会先尝试警告对方，警告无果后再禁止其使用相应论坛。</p>

<h3 id="contacting">与管理员联系</h3>
<p>如果您发现有人言行粗鲁，请制止他们。您也是相应论坛的一份子，因此您不必因为他人的无礼行为不是针对您而予以容忍。切记要有礼有节！请勿火上浇油。</p>
<p>不过，如果您发现难以容忍的违规行为，想要举报垃圾内容，有强烈意见或想与管理员交流，请随时与论坛所有者联系。这是我们的职责所在！</p>

<h3 id="using-email-with-google-groups">通过电子邮件参与 Google 网上论坛</h3>
<p>您可以使用任意电子邮件客户端参与论坛交流，而不必使用 <a href="https://groups.google.com/">Google 网上论坛</a>网站。要在不使用 Google 网上论坛网站的情况下订阅某个论坛，请使用上文列表中“通过电子邮件订阅”后的链接。</p>
<p>要设置如何通过电子邮件接收论坛帖子，请执行以下操作：</p>
<ol>
<li>
<p>通过 Google 网上论坛网站登录到相应论坛。例如，对于 android-platform 论坛，请使用 <a href="https://groups.google.com/forum/?fromgroups#!forum/android-platform">https://groups.google.com/forum/?fromgroups#!forum/android-platform</a>。</p>
</li>
<li>
<p>点击右侧的“我的成员资格”。</p>
</li>
<li>
<p>在“您想如何阅读该论坛”下，选择一个电子邮件选项。</p>
</li>
</ol>
<h2 id="android-on-irc">在 IRC 上讨论 Android</h2>
<p>Android 在 <a href="http://freenode.net/">freenode</a> 上有 IRC 频道。我们在 <a href="irc://irc.freenode.net/">irc.freenode.net</a> 上维护着两个官方 IRC 频道（通过该网站的 <a href="http://webchat.freenode.net/">freenode webchat</a> 访问）</p>
<ul>
<li>
<p><a href="irc://irc.freenode.net/android">#android</a> - 用于讨论一般性 Android 问题和移植问题</p>
</li>
<li>
<p><a href="irc://irc.freenode.net/android-dev">#android-dev</a> - 用于讨论编写 Android 应用方面的问题</p>
</li>
</ul>
<p>该社区还有几个不受正式管理的非官方频道。<em></em>“开放手机联盟”不为非官方频道背书，并且我们不提供任何明示或暗示的保证，因此使用这些频道时您要自行承担风险。下面列出了几个非官方频道（可能还有更多）：</p>

<ul>
<li>
<p><a href="irc://irc.freenode.net/android-firehose">#android-firehose</a> - 实时显示提交到 Android 开源项目的内容</p>
</li>
<li>
<p><a href="irc://irc.freenode.net/android-fr">#android-fr</a> - pour discuter d'Android en français</p>
</li>
<li>
<p><a href="irc://irc.freenode.net/android-offtopic">#android-offtopic</a> - 用于题外话讨论</p>
</li>
<li>
<p><a href="irc://irc.freenode.net/android-root">#android-root</a> - 用于讨论与硬件非正规用法相关的问题</p>
</li>
</ul>

<h2 id="for-business-inquiries">关于 Google 移动服务许可方面的问题</h2>
<p>请通过 <a href="https://www.android.com/gms/contact/">GMS 联系</a>表单咨询关于 <a href="https://www.android.com/gms/">Google 移动服务</a>许可的问题。其他非 GMS 合作伙伴关系问询可发送至 <a href="mailto:android-partnerships@google.com">android-partnerships@google.com</a>。</p>

<p>我们会阅读收到的每封邮件，但无法一一进行回复。如果我们能够提供相关帮助，一定会与您联系！</p>

</body></html>